#!/bin/sh
 
fatal() {
     msg=$1
     echo "Fatal: $msg"
     exit 1
}
 
[ -d /tmp ] || fatal "Verzeichnis /tmp existiert nicht"
[ -w /tmp ] || fatal "Verzeichnis /tmp nicht schreibbar"
 
TMP=/tmp/mydir
[ -d $TMP ] || mkdir $TMP    # tmp-Verz. erzeugen, wenn noch nicht vorhanden